[arch-commits] Commit in usermin/repos (16 files)

Tobias Powalowski tpowa at archlinux.org
Sat Oct 8 06:02:08 EDT 2011


    Date: Saturday, October 8, 2011 @ 06:02:07
  Author: tpowa
Revision: 140170

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  usermin/repos/extra-i686/PKGBUILD
    (from rev 140169, usermin/trunk/PKGBUILD)
  usermin/repos/extra-i686/usermin-config.tar.bz2
    (from rev 140169, usermin/trunk/usermin-config.tar.bz2)
  usermin/repos/extra-i686/usermin.install
    (from rev 140169, usermin/trunk/usermin.install)
  usermin/repos/extra-i686/usermin.rc
    (from rev 140169, usermin/trunk/usermin.rc)
  usermin/repos/extra-x86_64/PKGBUILD
    (from rev 140169, usermin/trunk/PKGBUILD)
  usermin/repos/extra-x86_64/usermin-config.tar.bz2
    (from rev 140169, usermin/trunk/usermin-config.tar.bz2)
  usermin/repos/extra-x86_64/usermin.install
    (from rev 140169, usermin/trunk/usermin.install)
  usermin/repos/extra-x86_64/usermin.rc
    (from rev 140169, usermin/trunk/usermin.rc)
Deleted:
  usermin/repos/extra-i686/PKGBUILD
  usermin/repos/extra-i686/usermin-config.tar.bz2
  usermin/repos/extra-i686/usermin.install
  usermin/repos/extra-i686/usermin.rc
  usermin/repos/extra-x86_64/PKGBUILD
  usermin/repos/extra-x86_64/usermin-config.tar.bz2
  usermin/repos/extra-x86_64/usermin.install
  usermin/repos/extra-x86_64/usermin.rc

------------------------------+
 extra-i686/PKGBUILD          |  258 ++++++++++++++++++++---------------------
 extra-i686/usermin.install   |   68 +++++-----
 extra-i686/usermin.rc        |   88 ++++++-------
 extra-x86_64/PKGBUILD        |  258 ++++++++++++++++++++---------------------
 extra-x86_64/usermin.install |   68 +++++-----
 extra-x86_64/usermin.rc      |   88 ++++++-------
 6 files changed, 414 insertions(+), 414 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2011-10-08 10:00:34 UTC (rev 140169)
+++ extra-i686/PKGBUILD	2011-10-08 10:02:07 UTC (rev 140170)
@@ -1,129 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-pkgname=usermin
-pkgver=1.480
-pkgrel=1
-pkgdesc="a web interface that can be used to easily perform tasks like reading mail, setting up SSH or configuring mail forwarding"
-arch=(i686 x86_64)
-license=('custom:usermin')
-url="http://www.webmin.com/"
-depends=('perl' 'webmin')
-makedepends=('perl-net-ssleay')
-backup=('etc/usermin/miniserv.conf' 'etc/usermin/miniserv.users' 'etc/usermin/config' 'etc/usermin/usermin.cats' \
-'etc/usermin/at/config' \
-'etc/usermin/man/config' \
-'etc/usermin/ssh/config' \
-'etc/usermin/chfn/config' \
-'etc/usermin/cron/config' \
-'etc/usermin/file/config' \
-'etc/usermin/plan/config' \
-'etc/usermin/proc/config' \
-'etc/usermin/spam/config' \
-'etc/usermin/htaccess/config' \
-'etc/usermin/cshrc/config' \
-'etc/usermin/gnupg/config' \
-'etc/usermin/mysql/config' \
-'etc/usermin/quota/config' \
-'etc/usermin/shell/config' \
-'etc/usermin/theme/config' \
-'etc/usermin/mailbox/config' \
-'etc/usermin/schedule/config' \
-'etc/usermin/config' \
-'etc/usermin/commands/config' \
-'etc/usermin/htaccess-htpasswd/config' \
-'etc/usermin/forward/config' \
-'etc/usermin/telnet/config' \
-'etc/usermin/tunnel/config' \
-'etc/usermin/updown/config' \
-'etc/usermin/procmail/config' \
-'etc/usermin/fetchmail/config' \
-'etc/usermin/changepass/config' \
-'etc/usermin/language/config' \
-'etc/usermin/postgresql/config' \
-'etc/usermin/usermount/config' \
-)
-install=usermin.install
-source=(http://downloads.sourceforge.net/sourceforge/webadmin/$pkgname-$pkgver.tar.gz 
-	usermin.rc 
-	ftp://ftp.archlinux.org/other/usermin/usermin-config.tar.bz2) 
-
-build() {
-  cd $startdir/src/$pkgname-$pkgver
-    
-  # remove modules we do not support
-
-  #remove config files from other distros
-  rm -f $(find . ! -name 'config-generic-linux' ! -name 'config-\*-linux' ! -name 'config-lib.pl' -name 'config-*')
-  
-  # remove caldera theme
-  rm -rf caldera
-
-  # remove init-scripts from other distros
-  rm usermin-init
-  rm usermin-daemon
-
-  # setting perl path
-  (find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
-  
-  # create dirs
-  mkdir -p $startdir/pkg/opt/usermin
-  mkdir -p $startdir/pkg/var/log/usermin
-  mkdir -p $startdir/pkg/etc/usermin
-  
-  # install pam stuff
-  install -D -m 644 usermin-pam $startdir/pkg/etc/pam.d/usermin
-  
-  # remove other distros and add only Archlinux don't change next line else it will not work!
-  rm os_list.txt
-  echo 'Archlinux			Any version	generic-linux	*	-d "/etc/pacman.d"' >> os_list.txt
-  
-  # copy stuff to right dirs
-  cd $startdir/src/$pkgname-$pkgver
-  cp -rp * $startdir/pkg/opt/usermin
-  cd $startdir/src/usermin-config
-  cp -rfp * $startdir/pkg/opt/usermin
-
-  # define parameters for setup.sh
-  config_dir=$startdir/pkg/etc/usermin
-  var_dir=$startdir/pkg/var/log/usermin
-  perl=/usr/bin/perl
-  autoos=1
-  port=20000
-  login=root
-  crypt="XXX"
-  ssl=1
-  atboot=0
-  nostart=1
-  nochown=1
-  autothird=1
-  nouninstall=1
-  noperlpath=1
-  atbootyn=n
-  tempdir=$startdir/pkg/tmp
-  export config_dir var_dir perl autoos port tempdir ssl nochown autothird nouninstall nostart noperlpath atbootyn login crypt
-  
-  # Fix setup.sh
-  sed -i -e 's:read atbootyn::g' -e 's:exit 13::g' $startdir/pkg/opt/usermin/setup.sh
-  $startdir/pkg/opt/usermin/setup.sh
-  
-  # Fixup the config files to use their real locations
-  sed -i 's:^pidfile=.*$:pidfile=/var/run/usermin.pid:' $startdir/pkg/etc/usermin/miniserv.conf
-  find $startdir/pkg/etc/usermin -type f -exec sed -i "s:$startdir/pkg::g" {} \; 
-  
-  # make it only accessible by localhost
-  echo 'allow=127.0.0.1' >> $startdir/pkg/etc/usermin/miniserv.conf
-  
-  # enable user and password login
-  sed -i -e '/localauth/d' $startdir/pkg/etc/usermin/miniserv.conf
-
-  #install rc file
-  install -D -m 755 $startdir/src/usermin.rc $startdir/pkg/etc/rc.d/usermin
-
-  # delete temp dir
-  rm -r $startdir/pkg/tmp
-  #install license
-  install -m 644 -D $startdir/src/$pkgname-$pkgver/LICENCE $startdir/pkg/usr/share/licenses/usermin/LICENCE
-}
-md5sums=('b5fa9938a29b7e83c36249f0b01119a3'
-         'cfef4490cd1ef9517c0b39a7bd75c968'
-         'ec37a79f948f778224550930d2a7ca07')

Copied: usermin/repos/extra-i686/PKGBUILD (from rev 140169, usermin/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2011-10-08 10:02:07 UTC (rev 140170)
@@ -0,0 +1,129 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=usermin
+pkgver=1.490
+pkgrel=1
+pkgdesc="a web interface that can be used to easily perform tasks like reading mail, setting up SSH or configuring mail forwarding"
+arch=(i686 x86_64)
+license=('custom:usermin')
+url="http://www.webmin.com/"
+depends=('perl' 'webmin')
+makedepends=('perl-net-ssleay')
+backup=('etc/usermin/miniserv.conf' 'etc/usermin/miniserv.users' 'etc/usermin/config' 'etc/usermin/usermin.cats' \
+'etc/usermin/at/config' \
+'etc/usermin/man/config' \
+'etc/usermin/ssh/config' \
+'etc/usermin/chfn/config' \
+'etc/usermin/cron/config' \
+'etc/usermin/file/config' \
+'etc/usermin/plan/config' \
+'etc/usermin/proc/config' \
+'etc/usermin/spam/config' \
+'etc/usermin/htaccess/config' \
+'etc/usermin/cshrc/config' \
+'etc/usermin/gnupg/config' \
+'etc/usermin/mysql/config' \
+'etc/usermin/quota/config' \
+'etc/usermin/shell/config' \
+'etc/usermin/theme/config' \
+'etc/usermin/mailbox/config' \
+'etc/usermin/schedule/config' \
+'etc/usermin/config' \
+'etc/usermin/commands/config' \
+'etc/usermin/htaccess-htpasswd/config' \
+'etc/usermin/forward/config' \
+'etc/usermin/telnet/config' \
+'etc/usermin/tunnel/config' \
+'etc/usermin/updown/config' \
+'etc/usermin/procmail/config' \
+'etc/usermin/fetchmail/config' \
+'etc/usermin/changepass/config' \
+'etc/usermin/language/config' \
+'etc/usermin/postgresql/config' \
+'etc/usermin/usermount/config' \
+)
+install=usermin.install
+source=(http://downloads.sourceforge.net/sourceforge/webadmin/$pkgname-$pkgver.tar.gz 
+	usermin.rc 
+	ftp://ftp.archlinux.org/other/usermin/usermin-config.tar.bz2) 
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+    
+  # remove modules we do not support
+
+  #remove config files from other distros
+  rm -f $(find . ! -name 'config-generic-linux' ! -name 'config-\*-linux' ! -name 'config-lib.pl' -name 'config-*')
+  
+  # remove caldera theme
+  rm -rf caldera
+
+  # remove init-scripts from other distros
+  rm usermin-init
+  rm usermin-daemon
+
+  # setting perl path
+  (find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
+  
+  # create dirs
+  mkdir -p $startdir/pkg/opt/usermin
+  mkdir -p $startdir/pkg/var/log/usermin
+  mkdir -p $startdir/pkg/etc/usermin
+  
+  # install pam stuff
+  install -D -m 644 usermin-pam $startdir/pkg/etc/pam.d/usermin
+  
+  # remove other distros and add only Archlinux don't change next line else it will not work!
+  rm os_list.txt
+  echo 'Archlinux			Any version	generic-linux	*	-d "/etc/pacman.d"' >> os_list.txt
+  
+  # copy stuff to right dirs
+  cd $startdir/src/$pkgname-$pkgver
+  cp -rp * $startdir/pkg/opt/usermin
+  cd $startdir/src/usermin-config
+  cp -rfp * $startdir/pkg/opt/usermin
+
+  # define parameters for setup.sh
+  config_dir=$startdir/pkg/etc/usermin
+  var_dir=$startdir/pkg/var/log/usermin
+  perl=/usr/bin/perl
+  autoos=1
+  port=20000
+  login=root
+  crypt="XXX"
+  ssl=1
+  atboot=0
+  nostart=1
+  nochown=1
+  autothird=1
+  nouninstall=1
+  noperlpath=1
+  atbootyn=n
+  tempdir=$startdir/pkg/tmp
+  export config_dir var_dir perl autoos port tempdir ssl nochown autothird nouninstall nostart noperlpath atbootyn login crypt
+  
+  # Fix setup.sh
+  sed -i -e 's:read atbootyn::g' -e 's:exit 13::g' $startdir/pkg/opt/usermin/setup.sh
+  $startdir/pkg/opt/usermin/setup.sh
+  
+  # Fixup the config files to use their real locations
+  sed -i 's:^pidfile=.*$:pidfile=/var/run/usermin.pid:' $startdir/pkg/etc/usermin/miniserv.conf
+  find $startdir/pkg/etc/usermin -type f -exec sed -i "s:$startdir/pkg::g" {} \; 
+  
+  # make it only accessible by localhost
+  echo 'allow=127.0.0.1' >> $startdir/pkg/etc/usermin/miniserv.conf
+  
+  # enable user and password login
+  sed -i -e '/localauth/d' $startdir/pkg/etc/usermin/miniserv.conf
+
+  #install rc file
+  install -D -m 755 $startdir/src/usermin.rc $startdir/pkg/etc/rc.d/usermin
+
+  # delete temp dir
+  rm -r $startdir/pkg/tmp
+  #install license
+  install -m 644 -D $startdir/src/$pkgname-$pkgver/LICENCE $startdir/pkg/usr/share/licenses/usermin/LICENCE
+}
+md5sums=('a6d87aad595ea8abbe6639ce2c08efc1'
+         'cfef4490cd1ef9517c0b39a7bd75c968'
+         'ec37a79f948f778224550930d2a7ca07')

Deleted: extra-i686/usermin-config.tar.bz2
===================================================================
(Binary files differ)

Copied: usermin/repos/extra-i686/usermin-config.tar.bz2 (from rev 140169, usermin/trunk/usermin-config.tar.bz2)
===================================================================
(Binary files differ)

Deleted: extra-i686/usermin.install
===================================================================
--- extra-i686/usermin.install	2011-10-08 10:00:34 UTC (rev 140169)
+++ extra-i686/usermin.install	2011-10-08 10:02:07 UTC (rev 140170)
@@ -1,34 +0,0 @@
-# arg 1:  the new package version
-post_install() {
-  local crypt=$(grep "^root:" ${ROOT}/etc/shadow | cut -f 2 -d :)
-  crypt=${crypt//\\/\\\\}
-  crypt=${crypt//\//\\\/}
-  sed -i "s/root:XXX/root:${crypt}/" /etc/usermin/miniserv.users
-cat << EOF
-Note:
-==> It is not allowed to install 3rd party modules, or delete existing modules.
-==> Please write your own PKGBUILDS for 3rd party modules and additional themes.
-Setup:
-==> To make usermin start at boot time, add usermin to rc.conf daemons
-==> Point your web browser to http://localhost:20000 to use usermin.
-==> To change the modules setup please use webmin.
-
-==> The access is restricted to localhost, if you want to connect from other locations
-==> change /etc/usermin/miniserv.conf to something like that: allow=127.0.0.1 <your-ip>
-==> If you want to have ssl encryption please install 'perl-net-ssleay' additional.
-EOF
-# fix man module
-  cd /opt/usermin/man
-  gzip -df $(find . -name '*.gz')
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  # uninstall unzipped files
-  rm -r /opt/usermin/man
-}

Copied: usermin/repos/extra-i686/usermin.install (from rev 140169, usermin/trunk/usermin.install)
===================================================================
--- extra-i686/usermin.install	                        (rev 0)
+++ extra-i686/usermin.install	2011-10-08 10:02:07 UTC (rev 140170)
@@ -0,0 +1,34 @@
+# arg 1:  the new package version
+post_install() {
+  local crypt=$(grep "^root:" ${ROOT}/etc/shadow | cut -f 2 -d :)
+  crypt=${crypt//\\/\\\\}
+  crypt=${crypt//\//\\\/}
+  sed -i "s/root:XXX/root:${crypt}/" /etc/usermin/miniserv.users
+cat << EOF
+Note:
+==> It is not allowed to install 3rd party modules, or delete existing modules.
+==> Please write your own PKGBUILDS for 3rd party modules and additional themes.
+Setup:
+==> To make usermin start at boot time, add usermin to rc.conf daemons
+==> Point your web browser to http://localhost:20000 to use usermin.
+==> To change the modules setup please use webmin.
+
+==> The access is restricted to localhost, if you want to connect from other locations
+==> change /etc/usermin/miniserv.conf to something like that: allow=127.0.0.1 <your-ip>
+==> If you want to have ssl encryption please install 'perl-net-ssleay' additional.
+EOF
+# fix man module
+  cd /opt/usermin/man
+  gzip -df $(find . -name '*.gz')
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  # uninstall unzipped files
+  rm -r /opt/usermin/man
+}

Deleted: extra-i686/usermin.rc
===================================================================
--- extra-i686/usermin.rc	2011-10-08 10:00:34 UTC (rev 140169)
+++ extra-i686/usermin.rc	2011-10-08 10:02:07 UTC (rev 140170)
@@ -1,44 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-start=/etc/usermin/start
-stop=/etc/usermin/stop
-lockfile=/var/lock/usermin
-
-case "$1" in
-'start')
-     stat_busy "Starting Usermin daemon"
-     $start >/dev/null 2>&1 </dev/null
-     RETVAL=$?
-     if [ "$RETVAL" = "0" ]; then
-     touch $lockfile >/dev/null 2>&1
-     stat_done
-     else
-     stat_fail
-fi
-;;
-
-'stop')
-     stat_busy "Stopping Usermin daemon"
-     $stop >/dev/null 2>&1 </dev/null
-     RETVAL=$?
-     if [ "$RETVAL" = "0" ]; then
-     rm -f $lockfile
-     stat_done
-     else
-     stat_fail
-fi
-;;
-
-'restart')
-     $stop && $start
-     RETVAL=$?
-;;
-*)
-echo "Usage: $0 { start | stop | restart }"
-RETVAL=1
-;;
-esac
-exit $RETVAL
\ No newline at end of file

Copied: usermin/repos/extra-i686/usermin.rc (from rev 140169, usermin/trunk/usermin.rc)
===================================================================
--- extra-i686/usermin.rc	                        (rev 0)
+++ extra-i686/usermin.rc	2011-10-08 10:02:07 UTC (rev 140170)
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+start=/etc/usermin/start
+stop=/etc/usermin/stop
+lockfile=/var/lock/usermin
+
+case "$1" in
+'start')
+     stat_busy "Starting Usermin daemon"
+     $start >/dev/null 2>&1 </dev/null
+     RETVAL=$?
+     if [ "$RETVAL" = "0" ]; then
+     touch $lockfile >/dev/null 2>&1
+     stat_done
+     else
+     stat_fail
+fi
+;;
+
+'stop')
+     stat_busy "Stopping Usermin daemon"
+     $stop >/dev/null 2>&1 </dev/null
+     RETVAL=$?
+     if [ "$RETVAL" = "0" ]; then
+     rm -f $lockfile
+     stat_done
+     else
+     stat_fail
+fi
+;;
+
+'restart')
+     $stop && $start
+     RETVAL=$?
+;;
+*)
+echo "Usage: $0 { start | stop | restart }"
+RETVAL=1
+;;
+esac
+exit $RETVAL
\ No newline at end of file

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2011-10-08 10:00:34 UTC (rev 140169)
+++ extra-x86_64/PKGBUILD	2011-10-08 10:02:07 UTC (rev 140170)
@@ -1,129 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-pkgname=usermin
-pkgver=1.480
-pkgrel=1
-pkgdesc="a web interface that can be used to easily perform tasks like reading mail, setting up SSH or configuring mail forwarding"
-arch=(i686 x86_64)
-license=('custom:usermin')
-url="http://www.webmin.com/"
-depends=('perl' 'webmin')
-makedepends=('perl-net-ssleay')
-backup=('etc/usermin/miniserv.conf' 'etc/usermin/miniserv.users' 'etc/usermin/config' 'etc/usermin/usermin.cats' \
-'etc/usermin/at/config' \
-'etc/usermin/man/config' \
-'etc/usermin/ssh/config' \
-'etc/usermin/chfn/config' \
-'etc/usermin/cron/config' \
-'etc/usermin/file/config' \
-'etc/usermin/plan/config' \
-'etc/usermin/proc/config' \
-'etc/usermin/spam/config' \
-'etc/usermin/htaccess/config' \
-'etc/usermin/cshrc/config' \
-'etc/usermin/gnupg/config' \
-'etc/usermin/mysql/config' \
-'etc/usermin/quota/config' \
-'etc/usermin/shell/config' \
-'etc/usermin/theme/config' \
-'etc/usermin/mailbox/config' \
-'etc/usermin/schedule/config' \
-'etc/usermin/config' \
-'etc/usermin/commands/config' \
-'etc/usermin/htaccess-htpasswd/config' \
-'etc/usermin/forward/config' \
-'etc/usermin/telnet/config' \
-'etc/usermin/tunnel/config' \
-'etc/usermin/updown/config' \
-'etc/usermin/procmail/config' \
-'etc/usermin/fetchmail/config' \
-'etc/usermin/changepass/config' \
-'etc/usermin/language/config' \
-'etc/usermin/postgresql/config' \
-'etc/usermin/usermount/config' \
-)
-install=usermin.install
-source=(http://downloads.sourceforge.net/sourceforge/webadmin/$pkgname-$pkgver.tar.gz 
-	usermin.rc 
-	ftp://ftp.archlinux.org/other/usermin/usermin-config.tar.bz2) 
-
-build() {
-  cd $startdir/src/$pkgname-$pkgver
-    
-  # remove modules we do not support
-
-  #remove config files from other distros
-  rm -f $(find . ! -name 'config-generic-linux' ! -name 'config-\*-linux' ! -name 'config-lib.pl' -name 'config-*')
-  
-  # remove caldera theme
-  rm -rf caldera
-
-  # remove init-scripts from other distros
-  rm usermin-init
-  rm usermin-daemon
-
-  # setting perl path
-  (find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
-  
-  # create dirs
-  mkdir -p $startdir/pkg/opt/usermin
-  mkdir -p $startdir/pkg/var/log/usermin
-  mkdir -p $startdir/pkg/etc/usermin
-  
-  # install pam stuff
-  install -D -m 644 usermin-pam $startdir/pkg/etc/pam.d/usermin
-  
-  # remove other distros and add only Archlinux don't change next line else it will not work!
-  rm os_list.txt
-  echo 'Archlinux			Any version	generic-linux	*	-d "/etc/pacman.d"' >> os_list.txt
-  
-  # copy stuff to right dirs
-  cd $startdir/src/$pkgname-$pkgver
-  cp -rp * $startdir/pkg/opt/usermin
-  cd $startdir/src/usermin-config
-  cp -rfp * $startdir/pkg/opt/usermin
-
-  # define parameters for setup.sh
-  config_dir=$startdir/pkg/etc/usermin
-  var_dir=$startdir/pkg/var/log/usermin
-  perl=/usr/bin/perl
-  autoos=1
-  port=20000
-  login=root
-  crypt="XXX"
-  ssl=1
-  atboot=0
-  nostart=1
-  nochown=1
-  autothird=1
-  nouninstall=1
-  noperlpath=1
-  atbootyn=n
-  tempdir=$startdir/pkg/tmp
-  export config_dir var_dir perl autoos port tempdir ssl nochown autothird nouninstall nostart noperlpath atbootyn login crypt
-  
-  # Fix setup.sh
-  sed -i -e 's:read atbootyn::g' -e 's:exit 13::g' $startdir/pkg/opt/usermin/setup.sh
-  $startdir/pkg/opt/usermin/setup.sh
-  
-  # Fixup the config files to use their real locations
-  sed -i 's:^pidfile=.*$:pidfile=/var/run/usermin.pid:' $startdir/pkg/etc/usermin/miniserv.conf
-  find $startdir/pkg/etc/usermin -type f -exec sed -i "s:$startdir/pkg::g" {} \; 
-  
-  # make it only accessible by localhost
-  echo 'allow=127.0.0.1' >> $startdir/pkg/etc/usermin/miniserv.conf
-  
-  # enable user and password login
-  sed -i -e '/localauth/d' $startdir/pkg/etc/usermin/miniserv.conf
-
-  #install rc file
-  install -D -m 755 $startdir/src/usermin.rc $startdir/pkg/etc/rc.d/usermin
-
-  # delete temp dir
-  rm -r $startdir/pkg/tmp
-  #install license
-  install -m 644 -D $startdir/src/$pkgname-$pkgver/LICENCE $startdir/pkg/usr/share/licenses/usermin/LICENCE
-}
-md5sums=('b5fa9938a29b7e83c36249f0b01119a3'
-         'cfef4490cd1ef9517c0b39a7bd75c968'
-         'ec37a79f948f778224550930d2a7ca07')

Copied: usermin/repos/extra-x86_64/PKGBUILD (from rev 140169, usermin/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2011-10-08 10:02:07 UTC (rev 140170)
@@ -0,0 +1,129 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=usermin
+pkgver=1.490
+pkgrel=1
+pkgdesc="a web interface that can be used to easily perform tasks like reading mail, setting up SSH or configuring mail forwarding"
+arch=(i686 x86_64)
+license=('custom:usermin')
+url="http://www.webmin.com/"
+depends=('perl' 'webmin')
+makedepends=('perl-net-ssleay')
+backup=('etc/usermin/miniserv.conf' 'etc/usermin/miniserv.users' 'etc/usermin/config' 'etc/usermin/usermin.cats' \
+'etc/usermin/at/config' \
+'etc/usermin/man/config' \
+'etc/usermin/ssh/config' \
+'etc/usermin/chfn/config' \
+'etc/usermin/cron/config' \
+'etc/usermin/file/config' \
+'etc/usermin/plan/config' \
+'etc/usermin/proc/config' \
+'etc/usermin/spam/config' \
+'etc/usermin/htaccess/config' \
+'etc/usermin/cshrc/config' \
+'etc/usermin/gnupg/config' \
+'etc/usermin/mysql/config' \
+'etc/usermin/quota/config' \
+'etc/usermin/shell/config' \
+'etc/usermin/theme/config' \
+'etc/usermin/mailbox/config' \
+'etc/usermin/schedule/config' \
+'etc/usermin/config' \
+'etc/usermin/commands/config' \
+'etc/usermin/htaccess-htpasswd/config' \
+'etc/usermin/forward/config' \
+'etc/usermin/telnet/config' \
+'etc/usermin/tunnel/config' \
+'etc/usermin/updown/config' \
+'etc/usermin/procmail/config' \
+'etc/usermin/fetchmail/config' \
+'etc/usermin/changepass/config' \
+'etc/usermin/language/config' \
+'etc/usermin/postgresql/config' \
+'etc/usermin/usermount/config' \
+)
+install=usermin.install
+source=(http://downloads.sourceforge.net/sourceforge/webadmin/$pkgname-$pkgver.tar.gz 
+	usermin.rc 
+	ftp://ftp.archlinux.org/other/usermin/usermin-config.tar.bz2) 
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+    
+  # remove modules we do not support
+
+  #remove config files from other distros
+  rm -f $(find . ! -name 'config-generic-linux' ! -name 'config-\*-linux' ! -name 'config-lib.pl' -name 'config-*')
+  
+  # remove caldera theme
+  rm -rf caldera
+
+  # remove init-scripts from other distros
+  rm usermin-init
+  rm usermin-daemon
+
+  # setting perl path
+  (find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
+  
+  # create dirs
+  mkdir -p $startdir/pkg/opt/usermin
+  mkdir -p $startdir/pkg/var/log/usermin
+  mkdir -p $startdir/pkg/etc/usermin
+  
+  # install pam stuff
+  install -D -m 644 usermin-pam $startdir/pkg/etc/pam.d/usermin
+  
+  # remove other distros and add only Archlinux don't change next line else it will not work!
+  rm os_list.txt
+  echo 'Archlinux			Any version	generic-linux	*	-d "/etc/pacman.d"' >> os_list.txt
+  
+  # copy stuff to right dirs
+  cd $startdir/src/$pkgname-$pkgver
+  cp -rp * $startdir/pkg/opt/usermin
+  cd $startdir/src/usermin-config
+  cp -rfp * $startdir/pkg/opt/usermin
+
+  # define parameters for setup.sh
+  config_dir=$startdir/pkg/etc/usermin
+  var_dir=$startdir/pkg/var/log/usermin
+  perl=/usr/bin/perl
+  autoos=1
+  port=20000
+  login=root
+  crypt="XXX"
+  ssl=1
+  atboot=0
+  nostart=1
+  nochown=1
+  autothird=1
+  nouninstall=1
+  noperlpath=1
+  atbootyn=n
+  tempdir=$startdir/pkg/tmp
+  export config_dir var_dir perl autoos port tempdir ssl nochown autothird nouninstall nostart noperlpath atbootyn login crypt
+  
+  # Fix setup.sh
+  sed -i -e 's:read atbootyn::g' -e 's:exit 13::g' $startdir/pkg/opt/usermin/setup.sh
+  $startdir/pkg/opt/usermin/setup.sh
+  
+  # Fixup the config files to use their real locations
+  sed -i 's:^pidfile=.*$:pidfile=/var/run/usermin.pid:' $startdir/pkg/etc/usermin/miniserv.conf
+  find $startdir/pkg/etc/usermin -type f -exec sed -i "s:$startdir/pkg::g" {} \; 
+  
+  # make it only accessible by localhost
+  echo 'allow=127.0.0.1' >> $startdir/pkg/etc/usermin/miniserv.conf
+  
+  # enable user and password login
+  sed -i -e '/localauth/d' $startdir/pkg/etc/usermin/miniserv.conf
+
+  #install rc file
+  install -D -m 755 $startdir/src/usermin.rc $startdir/pkg/etc/rc.d/usermin
+
+  # delete temp dir
+  rm -r $startdir/pkg/tmp
+  #install license
+  install -m 644 -D $startdir/src/$pkgname-$pkgver/LICENCE $startdir/pkg/usr/share/licenses/usermin/LICENCE
+}
+md5sums=('a6d87aad595ea8abbe6639ce2c08efc1'
+         'cfef4490cd1ef9517c0b39a7bd75c968'
+         'ec37a79f948f778224550930d2a7ca07')

Deleted: extra-x86_64/usermin-config.tar.bz2
===================================================================
(Binary files differ)

Copied: usermin/repos/extra-x86_64/usermin-config.tar.bz2 (from rev 140169, usermin/trunk/usermin-config.tar.bz2)
===================================================================
(Binary files differ)

Deleted: extra-x86_64/usermin.install
===================================================================
--- extra-x86_64/usermin.install	2011-10-08 10:00:34 UTC (rev 140169)
+++ extra-x86_64/usermin.install	2011-10-08 10:02:07 UTC (rev 140170)
@@ -1,34 +0,0 @@
-# arg 1:  the new package version
-post_install() {
-  local crypt=$(grep "^root:" ${ROOT}/etc/shadow | cut -f 2 -d :)
-  crypt=${crypt//\\/\\\\}
-  crypt=${crypt//\//\\\/}
-  sed -i "s/root:XXX/root:${crypt}/" /etc/usermin/miniserv.users
-cat << EOF
-Note:
-==> It is not allowed to install 3rd party modules, or delete existing modules.
-==> Please write your own PKGBUILDS for 3rd party modules and additional themes.
-Setup:
-==> To make usermin start at boot time, add usermin to rc.conf daemons
-==> Point your web browser to http://localhost:20000 to use usermin.
-==> To change the modules setup please use webmin.
-
-==> The access is restricted to localhost, if you want to connect from other locations
-==> change /etc/usermin/miniserv.conf to something like that: allow=127.0.0.1 <your-ip>
-==> If you want to have ssl encryption please install 'perl-net-ssleay' additional.
-EOF
-# fix man module
-  cd /opt/usermin/man
-  gzip -df $(find . -name '*.gz')
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  # uninstall unzipped files
-  rm -r /opt/usermin/man
-}

Copied: usermin/repos/extra-x86_64/usermin.install (from rev 140169, usermin/trunk/usermin.install)
===================================================================
--- extra-x86_64/usermin.install	                        (rev 0)
+++ extra-x86_64/usermin.install	2011-10-08 10:02:07 UTC (rev 140170)
@@ -0,0 +1,34 @@
+# arg 1:  the new package version
+post_install() {
+  local crypt=$(grep "^root:" ${ROOT}/etc/shadow | cut -f 2 -d :)
+  crypt=${crypt//\\/\\\\}
+  crypt=${crypt//\//\\\/}
+  sed -i "s/root:XXX/root:${crypt}/" /etc/usermin/miniserv.users
+cat << EOF
+Note:
+==> It is not allowed to install 3rd party modules, or delete existing modules.
+==> Please write your own PKGBUILDS for 3rd party modules and additional themes.
+Setup:
+==> To make usermin start at boot time, add usermin to rc.conf daemons
+==> Point your web browser to http://localhost:20000 to use usermin.
+==> To change the modules setup please use webmin.
+
+==> The access is restricted to localhost, if you want to connect from other locations
+==> change /etc/usermin/miniserv.conf to something like that: allow=127.0.0.1 <your-ip>
+==> If you want to have ssl encryption please install 'perl-net-ssleay' additional.
+EOF
+# fix man module
+  cd /opt/usermin/man
+  gzip -df $(find . -name '*.gz')
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  # uninstall unzipped files
+  rm -r /opt/usermin/man
+}

Deleted: extra-x86_64/usermin.rc
===================================================================
--- extra-x86_64/usermin.rc	2011-10-08 10:00:34 UTC (rev 140169)
+++ extra-x86_64/usermin.rc	2011-10-08 10:02:07 UTC (rev 140170)
@@ -1,44 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-start=/etc/usermin/start
-stop=/etc/usermin/stop
-lockfile=/var/lock/usermin
-
-case "$1" in
-'start')
-     stat_busy "Starting Usermin daemon"
-     $start >/dev/null 2>&1 </dev/null
-     RETVAL=$?
-     if [ "$RETVAL" = "0" ]; then
-     touch $lockfile >/dev/null 2>&1
-     stat_done
-     else
-     stat_fail
-fi
-;;
-
-'stop')
-     stat_busy "Stopping Usermin daemon"
-     $stop >/dev/null 2>&1 </dev/null
-     RETVAL=$?
-     if [ "$RETVAL" = "0" ]; then
-     rm -f $lockfile
-     stat_done
-     else
-     stat_fail
-fi
-;;
-
-'restart')
-     $stop && $start
-     RETVAL=$?
-;;
-*)
-echo "Usage: $0 { start | stop | restart }"
-RETVAL=1
-;;
-esac
-exit $RETVAL
\ No newline at end of file

Copied: usermin/repos/extra-x86_64/usermin.rc (from rev 140169, usermin/trunk/usermin.rc)
===================================================================
--- extra-x86_64/usermin.rc	                        (rev 0)
+++ extra-x86_64/usermin.rc	2011-10-08 10:02:07 UTC (rev 140170)
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+start=/etc/usermin/start
+stop=/etc/usermin/stop
+lockfile=/var/lock/usermin
+
+case "$1" in
+'start')
+     stat_busy "Starting Usermin daemon"
+     $start >/dev/null 2>&1 </dev/null
+     RETVAL=$?
+     if [ "$RETVAL" = "0" ]; then
+     touch $lockfile >/dev/null 2>&1
+     stat_done
+     else
+     stat_fail
+fi
+;;
+
+'stop')
+     stat_busy "Stopping Usermin daemon"
+     $stop >/dev/null 2>&1 </dev/null
+     RETVAL=$?
+     if [ "$RETVAL" = "0" ]; then
+     rm -f $lockfile
+     stat_done
+     else
+     stat_fail
+fi
+;;
+
+'restart')
+     $stop && $start
+     RETVAL=$?
+;;
+*)
+echo "Usage: $0 { start | stop | restart }"
+RETVAL=1
+;;
+esac
+exit $RETVAL
\ No newline at end of file



More information about the arch-commits mailing list